
function BidOnceAgain_OnLoad(self)
   print("Bid Once Again (Beta2) loaded")
   self:RegisterEvent("LOOT_OPENED")
   self:RegisterEvent("CHAT_MSG_LOOT")
end

function BidOnceAgain_OnEvent(self, event, ...)
   -- Show the window
   ShowUIPanel(BidOnceAgainFrame)
   
   if event == "LOOT_OPENED" then
      -- print("Loot opened: " .. GetNumLootItems())
      for index = 1, GetNumLootItems() do
         -- print(GetLootSlotInfo(index))
         local iconpath, name, quality = GetLootSlotInfo(index)
         local itemLink = GetLootSlotLink(index)
         local itemString = string.match(itemLink, "item:[%-?%d]+")
         -- print("Loot: " .. name)
         -- print("Link: " .. itemString)
         local itemName, itemId = strsplit(":", itemString)
         -- print("BOA - Loot [" .. name .. "] bids:")
         if BOAStandings[itemId] then
            -- local 
            -- print("BOA - Loot [" .. name .. "] bids:")
            SendChatMessage("BOA - Loot [" .. name .. "] bids:", "RAID")

            local bidList = "BidList:"
            for i = 1, #BOAStandings[itemId] do
               bidList = bidList .. BOAStandings[itemId][i] .. ", "
            end
            -- print(bidList)
            SendChatMessage(bidList, "RAID")

         end
         -- print(BOAStandings[itemId])
      end
   end
   if event == "CHAT_MSG_LOOT" then
      local msg, val2, val3, val4 = ...
      print("msg:", msg)
      local desc, itemLink = strsplit(":", msg)
      SendChatMessage(msg, "RAID")
   end
end

function BidOnceAgain_OnLootOpened(self)
   for index = 1, GetNumLootItems() do
      local iconpath, name, quality = GetLootSlotInfo(index)
      local itemLink = GetLootSlotLink(index)
      local itemString = string.match(itemLink, "item:[%-?%d]+")
      local itemName, itemId = strsplit(":", itemString)
      if BOAStandings[itemId] then
         SendChatMessage("BOA - Loot [" .. name .. "]", "RAID")
         local bidList = "BidList:"
         for i = 1, #BOAStandings[itemId] do
            bidList = bidList .. BOAStandings[itemId][i] .. ", "
         end
         SendChatMessage(bidList, "RAID")
      end
   end
end

function BidOnceAgain_OnImport(self)
   if not BOAStandings then
      BOAStandings = {}
   end
   local txt = BidOnceAgainFrameEditBox:GetText()
   BOAStandings.text = txt
   -- print("Data:" .. BOAStandings.text)
   local tempTbl = { strsplit("@", txt) }
   local itemId
   for i = 1, #tempTbl do
      -- Check for item and bids.
      if string.match(tempTbl[i], "item:") then
         -- Create item.
         local tag, id = strsplit(":", tempTbl[i])
         itemId = id
         BOAStandings[id] = { id=itemId }
      end
      if string.match(tempTbl[i], "bid:") then
         -- Create bid.
         local tag, owner, p = strsplit(":", tempTbl[i])
         table.insert(BOAStandings[itemId], owner)
      end

   end

   print("Standings data loaded.")
end


SLASH_BIDONCEAGAIN1 = "/boa"
SLASH_BIDONCEAGAIN2 = "/bidonceagain"
SlashCmdList["BIDONCEAGAIN"] = function(msg)
   ShowUIPanel(BidOnceAgainFrame)
   print("msg:"..msg)
end
